﻿using System;
using System.Globalization;
using System.Net;
using System.Reflection;
using System.Resources;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GeneralLibrary;
using PartLibrary;

namespace LargePart2
{
  public class LargePart2Class
  {
    public static void Exists()
    {
      PartLibraryClass.Exists();
      GeneralLibraryClass.Exists();

      // Don't forget to set "SupportedCultures" element in project file.
      // Only satellite assemblies mentioned in this element are packed into the XAP file.
      //<SupportedCultures>de</SupportedCultures>

      ResourceManager rm = new ResourceManager("LargePart2.StringResources", Assembly.GetExecutingAssembly());

      // Running on a German Windows 7 leads to the following results:

      // German text - default thread culture is German.
      var @default = rm.GetString("String1");

      // English text - invariant culture is requested explicitely.
      var invariant = rm.GetString("String1", CultureInfo.InvariantCulture);

      // German text - "en" is not available, but the current thread culture is.
      var en = rm.GetString("String1", new CultureInfo("en"));

      // German text - "de" is is requested explicitely.
      var de = rm.GetString("String1", new CultureInfo("de"));
    }
  }
}
