﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XapLoadingAndCaching
{
  public partial class MainPage : UserControl
  {
    public MainPage()
    {
      InitializeComponent();
    }

    private void LoadPart1(object sender, RoutedEventArgs e)
    {
      SimpleXapManager.LoadXap("LargePart1.xap", tbxVersion.Text);
    }

    private void LoadPart2(object sender, RoutedEventArgs e)
    {
      SimpleXapManager.LoadXap("LargePart2.xap", tbxVersion.Text);
    }

    private void LoadPart3(object sender, RoutedEventArgs e)
    {
      SimpleXapManager.LoadXap("LargePart3.xap", tbxVersion.Text);
    }

    private void CallPart1(object sender, RoutedEventArgs e)
    {
      LargePart1.LargePart1Class.Exists();
    }

    private void CallPart2(object sender, RoutedEventArgs e)
    {
      LargePart2.LargePart2Class.Exists();
    }

    private void LoadFont(object sender, RoutedEventArgs e)
    {
      var stream = Application.GetResourceStream(new Uri("/LargePart3;component/fonts/Early_Tickertape.ttf", UriKind.Relative));
      txtBlock.FontSource = new FontSource(stream.Stream);
      txtBlock.FontFamily = new FontFamily("Early Tickertape");
    }

    private void ClearCache(object sender, RoutedEventArgs e)
    {
      SimpleXapManager.ClearCache();
    }
  }
}
